﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using HeuristicLab.Services.Authentication.DataTransfer;

namespace HeuristicLab.Services.Authentication.TestClient
{

    public enum UserDetailMode
    {
        Insert,
        Update
    }

    public partial class UserDetail : Form
    {
        private UserDetailMode mode;
        private AuthenticationService service;
        private User user;

        public UserDetail(UserDetailMode mode,AuthenticationService service)
        {
            this.mode = mode;
            this.service = service;
            InitializeComponent();
        }

        public void Initialize(User user){
            if(user != null){
                this.user = user;
                this.bsUser.DataSource = user;
            }
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            if (mode == UserDetailMode.Insert)
            {
                this.service.InsertUser(user);
            }
            else if (mode == UserDetailMode.Update)
            {
                this.service.UpdateUser(user);              
            }
        }
    }
}
